#include <avr/io.h>
#include <avr/delay.h>

#define blink_delay 10

/*
Pin Mapping
LED 1 = PA2 = Pin 2
LED2 = PA3 = Pin 3
LED 3= PA7 = Pin 7
Button = PB2 = Pin 8 
*/

int main(void)
{
	DDRA |= _BV(PA2);	// Enable output on LED pin 2
	DDRA |= _BV(PA3);	// Enable output on LED pin 3
	DDRA |= _BV(PA7);	// Enable output on LED pin 7

	PORTB = _BV(PB2);	// Activate button


	// Loop
	while (1)
	{
		if (PINB & _BV(PB2)) {

		                // Upward direction
				PORTA |= _BV(PA2);	// turn LED on
				_delay_ms(blink_delay);
				PORTA = 0;			// turn LED off
				_delay_ms(blink_delay);

				PORTA |= _BV(PA3);	// turn LED on
				_delay_ms(blink_delay);
				PORTA = 0;			// turn LED off
				_delay_ms(blink_delay);

				PORTA |= _BV(PA7);	// turn LED on
				_delay_ms(blink_delay);
				PORTA = 0;			// turn LED off
				_delay_ms(blink_delay);

		}
		else
		{
		                // Downward direction
				PORTA |= _BV(PA7);	// turn LED on
				_delay_ms(blink_delay);
				PORTA = 0;			// turn LED off
				_delay_ms(blink_delay);

		
				PORTA |= _BV(PA3);	// turn LED on
				_delay_ms(blink_delay);
				PORTA = 0;			// turn LED off
				_delay_ms(blink_delay);


				PORTA |= _BV(PA2);	// turn LED on
				_delay_ms(blink_delay);
				PORTA = 0;			// turn LED off
				_delay_ms(blink_delay);

		}

			
		

	}
}